import QtQuick 2.0

Item {
    default property alias data: inner.data
    property bool showGroup: true

    implicitWidth: inner.implicitWidth
    implicitHeight: Math.max(inner.height, 30)

    Image {
        id: imgb
        anchors.bottom: parent.bottom
        source: "ListSettingsGroup_bottom.png"
        visible: showGroup
    }
    Image {
        id: imgt
        anchors.top: parent.top
        source: "ListSettingsGroup_top.png"
        visible: showGroup
    }
    Image {
        anchors.top: imgt.bottom
        anchors.bottom: imgb.top
        source: "ListSettingsGroup_repeat.png"
        visible: showGroup
    }
    Column {
        id: inner
        spacing: 10
    }
}
