import QtQuick 2.0

Item {
    property var _msg: null
    property var process: null
    property bool enable: true

    function open() {
        mindisplaytimer.restart();
        if (_msg === null)
        _msg = popup().msg(qsTr("Safety loop"), /*qsTr("Safety Loop is open"),*/ qsTr("Safety Loop was opened"), [qsTr("OK")], function(nr) {
            if (nr !== undefined) {
                //Modif LN du 24/01/20 : On supprime cette action car elle semble ne servir à rien, à vérifier sur SVN
//                if(_msg != null)_msg = null;
                return true;
            }
            return false;
        }); //TODO : etudier l'option avec replace : true
    }

    function close() {
        mindisplaytimer.stop();
        _msg.close();
        _msg = null;
    }

    Connections {
        target: hal
        onSafetyLoopChanged: {
            hal.setStartLight(!remoteaccess.interfaceIsConnected && hal.safetyLoop && !process.running);
            if (_msg) {
                if (!mindisplaytimer.running && hal.safetyLoop)
                    close();
            } else {
            if (!hal.safetyLoop && enable){
                    if (process.running) {
//                        process.measure_stop();
                    }
                    open();
                }

            }
            //Mais les prochaines ouvertures ou fermetures elles devront être détectées.
            if(!enable) enable = true;
        }
    }

    Timer {
        id: mindisplaytimer
        interval: 2000
        onTriggered: if (_msg && process.safetyLoop) close();
    }
}
