import QtQuick 2.0
import "../HorusComponents"

Rectangle {
    property string label
    property bool selected: false
    width: leftListView.width
    height: 55 * visible
    color: selected ? UiConfig.colors.bg_pressed : "transparent"
    radius: 14
    Text {
        id: txt
        anchors.fill: parent
        text: extra.stopAtDot ? label.substr(0, label.indexOf('.')) : label
        font.pixelSize: 26
        color: enabled ? UiConfig.colors.fg_active : UiConfig.colors.fg_inactive
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }
    Behavior on height { NumberAnimation {} }
}
