import QtQuick 2.0
import Horus 1.0
import "../../HorusComponents"
import "condition_tr.js" as CondTr

Text {
    color: model.step.inhib ? "#707173" : canChangeParameters ? UiConfig.colors.fg_active : "#fff"
    property color fadedcolor: model.step.inhib ? "#707173" : "#b0b0b9"
    text: qsTr("<font color=\"%1\">If test </font>%2<font color=\"%1\"> is </font>%3<font color=\"%1\"> then </font>%4<font color=\"%1\"> else </font>%5")
        .arg(fadedcolor)
        .arg(model.step.testedStepNr)
        .arg(CondTr.testCondition(model.step.testCondition))
        .arg(CondTr.goto(model.step.gotoOk))
        .arg(CondTr.goto(model.step.gotoKo))
    horizontalAlignment: Text.AlignLeft
    verticalAlignment: Text.AlignVCenter
    font.pixelSize: 24
    wrapMode: Text.Wrap

}
