import QtQuick 2.0

Item {
    property real _scale: 0.55
    width: if (parent) parent.width
    implicitHeight: 160
    Image {
        y: parent.height / 2 - height / 4
        x: parent.width / 4 - width / 2
        source: Qt.resolvedUrl("../../page_hipot_live/bg_central_mini.png")
        Loader {
            anchors.centerIn: parent
            property var step: model.step.hipotStep
            Component.onCompleted: setSource("hipot_live.qml", {"scale": _scale, displayBg: false})
        }
    }
    Image {
        y: parent.height / 2 - height / 4
        x: parent.width * 3 / 4 - width / 2
        source: Qt.resolvedUrl("../../page_hipot_live/bg_central_mini.png")
        Loader {
            anchors.centerIn: parent
            property var step: model.step.gndbondStep
            Component.onCompleted: setSource("gndbond_live.qml", {"scale": _scale, displayBg: false})
        }
    }
}
