import QtQuick 2.0
import "../../HorusComponents"

Text {
    color: model.step.inhib ? "#707173" : canChangeParameters ? UiConfig.colors.fg_active : "#fff"
    property color fadedcolor: model.step.inhib ? "#707173" : "#b0b0b9"
    property color errorcolor: model.step.hipotStep.valid ? UiConfig.colors.fg_active : "#fc0000"
    text: qsTr("<font color=\"%1\">hipot=</font><font color=\"%2\">%3</font><br><font color=\"%1\">gndbond=</font>%4").arg(fadedcolor).arg(errorcolor).arg(model.step.hipotStep ? model.step.hipotStep.programName : "").arg(model.step.gndbondStep ? model.step.gndbondStep.programName : "")
    horizontalAlignment: Text.AlignLeft
    verticalAlignment: Text.AlignVCenter
    font.pixelSize: 24
    wrapMode: Text.Wrap
}
