import QtQuick 2.0
import Horus 1.0
import "../../HorusComponents"

Text {
    color: model.step.inhib ? "#707173" : canChangeParameters ? UiConfig.colors.fg_active : "#fff"
    property color fadedcolor: model.step.inhib ? "#707173" : "#b0b0b9"
    text: model.step.tempo ? qsTr("<font color=\"%1\">%2</font>%3<br><font color=\"%1\">pause=</font>%4s")
        .arg(fadedcolor)
        .arg(model.step.msgImg ? qsTr("image=") : qsTr("No image selected"))
        .arg(model.step.msgImg)
        .arg(model.result === SequenceStep.StatusRunning ? model.step.remainingTime.toFixed(1) : model.step.pause)
        : qsTr("<font color=\"%1\">%2</font>%3")
        .arg(fadedcolor)
        .arg(model.step.msgImg ? qsTr("image=") : qsTr("No image selected"))
        .arg(model.step.msgImg)
    horizontalAlignment: Text.AlignLeft
    verticalAlignment: Text.AlignVCenter
    font.pixelSize: 24
    wrapMode: Text.Wrap
}
