import QtQuick 2.0
import "../../HorusComponents"

Item {
    implicitHeight: column.height + 4
    Column {
        id: column
        y: 4
        spacing: 4
        ListSettingsGroup {
            ListSettingsElement {
                label: qsTr("Pause")
                button {
                    id: btn
                    startRelated: true
                    text: qsTr("%1s").arg(model.step.pause)
                    onClicked: {
                        btn.btnMsg = popup().editNumber(
                                    label,
                                    model.step.pause,
                                    0,
                                    90,
                                    "s",
                                    1,
                                    function (nr) {
                                        if (nr != undefined) {
                                            model.step.pause = nr;
                                        }
                                        return true;
                                    });
                        btn.disableButtons();
                    }
                }
            }
        }
    }
}
