import QtQuick 2.0
import Horus 1.0
import "../../HorusComponents"

Item {
    width: if (parent) parent.width
    implicitHeight: 80
    Text {
        anchors.centerIn: parent
        font.pixelSize: 50
        text: {
            var a = (model.result == SequenceStep.StatusUnknown ? model.step.pause : model.step.remainingTime);
            return a ? a.toFixed(1) + "s" : "0.0s";
        }
        color: sequenceModel.playIndex == index ? UiConfig.colors.fg_root : "#707173"
    }
}
