#!/bin/bash
STARTUP_FILE=startup

function vnc (){
	while true
	do
		[ -f /tmp/startVNC ] && x11vnc -noipv6 -rawfb /dev/fb0 -pipeinput UINPUT:accel=1.0
		sleep 1
	done
}
case "$1" in
     start|"")
	rm  -f /tmp/startVNC
	sync
	vnc&
	cd /media/USB1
	[ ! -f $STARTUP_FILE ] && cd /media/SD1 # If there is no app in USB, switch to SD
	[ ! -f $STARTUP_FILE ] && cd /media/writable/horus_ihm/ # If there is no app in SD  switch to release (internal nand)
	[ ! -f $STARTUP_FILE ] && cd /media/writable/demo/ # If there is no app in release, switch to demo (internal nand)
	[ -f $STARTUP_FILE ] && ./$STARTUP_FILE start
	;;
    stop)
	rm  -f /tmp/startVNC
	[ -f /media/writable/horus_ihm/$STARTUP_FILE ] && /media/writable/horus_ihm/$STARTUP_FILE stop
	;;
    *)
	echo "Usage: $0 {start|stop}" >&2
	exit 1
	;;
esac
exit $?
