import QtQuick 2.0

Button {
    id: component
    signal autoClicked()

    onClicked: autoClicked()
    onPressAndHold: timer.start()

    Timer {
        id: timer

        interval: 100;
        running: false;
        repeat: true

        onTriggered: {
            if (parent.pressed) {
                autoClicked();
            } else {
                running = false;
            }
        }
    }
}
