import QtQuick 2.4

Item {
    default property alias data: inner.data

    VScrollBar {
        anchors {
            top: parent.top
            bottom: parent.bottom
            left: parent.left
        }
        scrollArea: flickable
    }

    Flickable {
        id: flickable

        anchors.fill: parent
        anchors.leftMargin: 10

        contentWidth: inner.width
        contentHeight: inner.height
        flickableDirection: Flickable.VerticalFlick
        interactive: visibleArea.heightRatio < 1
        clip: true

        Column {
            id: inner
            spacing: 10
        }
    }
}
