import QtQuick 2.0

ListSettingsGroup {
    default property alias data: row.data
    property alias label: title.text
    property alias btnContent: btn.label
    property alias button: btn
    property alias extraButton: extrabtn

    implicitHeight: item.implicitHeight
    implicitWidth: 300

    Item {
        id: item
        implicitHeight: Math.max(60, row.implicitHeight+10)
            Row {
                id: row
                anchors.verticalCenter: parent.verticalCenter
                anchors {
                    verticalCenter: parent.verticalCenter
                    left: parent.left
                    leftMargin: 14
                }
                Text {
                    id: title
                    anchors.verticalCenter: parent.verticalCenter
                    width: /*Math.max(implicitWidth, 300)*/350
                    wrapMode: Text.Wrap
                    font.pixelSize: 26
                    color: "#c5c5cc"
                }
                Column {
                    id: column
                    anchors.verticalCenter: parent.verticalCenter
                    anchors {
                        verticalCenter: parent.verticalCenter
//                        left: parent.left
                    }
                    spacing: 10
                    Button {
                        id: btn
//                        anchors.verticalCenter: parent.verticalCenter
                        text: ""
                        width: 250
                        height: 50
                        font.pixelSize: 26
                        visible: text || srcImage != ""
                    }
                    Button {
                        id: extrabtn
//                        anchors.verticalCenter: parent.verticalCenter
                        text: ""
                        width: 250
                        height: 50
                        font.pixelSize: 26
                        visible: text || srcImage != ""
                    }
                }
            }
    }
}
