import QtQuick 2.0
import "." // QTBUG-34418, singletons require explicit import to load qmldir file

Button {
    property string picto: ""
    property string pictoOff: picto

    property string txt: ""
    property string txtOff: txt

    srcImage: "RightButton_bg.png"
    rectVisible: false

    Image {
        anchors.centerIn: parent
        source: parent.enabled ? picto : pictoOff
        opacity: pressed || !parent.enabled ? 0.5 : 1

        Behavior on opacity { NumberAnimation { } }
    }

    Text {
        anchors.centerIn: parent
        visible: !picto
        color: UiConfig.colors.fg_active
        text: parent.enabled ? txt : txtOff
        opacity: pressed || !parent.enabled ? 0.5 : 1

        Behavior on opacity { NumberAnimation { } }
    }
}
