pragma Singleton
import QtQuick 2.0
import QtMultimedia 5.0

QtObject {

    property QtObject colors: QtObject{
        property color bg_active: "#2a2939"
        property color bg_inactive: "#2a2939"
        property color bg_pressed: "#484860"
        property color border: "#bbbbbb"
        property color fg_active: "#ffd827"
        property color fg_inactive: "#6b6d7e"
        property color fg_pressed: "#ffd827"
        property color popup_bg: "#23212e"
        property color popup_bg_edit_ok: "#575270"
        property color popup_bg_edit_ko: "#ffa1a1"
        property color popup_border: border
        property color popup_fg_title: fg_inactive
        property color fg_root: "#e8e8f0" // Foreground color on top of root element
    }

    property QtObject sound: QtObject{
        function play_click () {
            touchfeedback.play();
        }
        property SoundEffect touchfeedback: SoundEffect {
            volume: config.volume.value
            source: config.soundKeyboard
        }
    }
}
