import QtQuick 2.0
import Horus 1.0
import "../HorusComponents"

Item {
//    property int resultPage: sequenceModel.playIndex >= sequenceModel.count ? sequenceModel.count : (sequenceModel.playIndex >= 0 ? sequenceModel.playIndex + 1 : 1)
//    /**************************
//    * Live global step insert *
//    **************************/
//    property alias liveStepGlobal: liveStepGlobalLoader.item
//    Item {
//        visible: false
//        Loader {
//            id: liveStepGlobalLoader
//            property var step
//            source: ""
//            visible: false
//            height: 0
//            width: 0
//        }
//        Connections {
//            target: sequenceModel
//            onPlayIndexChanged: {
//                liveStepGlobalLoader.source = "";
//                liveStepGlobalLoader.step = undefined;
//                if (sequenceModel.playIndex >= 0 && sequenceModel.playIndex < sequenceModel.count) {
//                    var step = sequenceModel.get(sequenceModel.playIndex, Sequence.StepRole);
//                    if (!step.inhib) {
//                        liveStepGlobalLoader.step = step;
//                        liveStepGlobalLoader.source = "steps/" + sequenceModel.get(sequenceModel.playIndex, Sequence.CodenameRole) + "_glive.qml";
//                    }
//                }
//            }
//        }
//    }

//    /****************
//    * Right buttons *
//    ****************/
//    Column {
//        id: rightColumn

//        anchors {
//            top: parent.top
//            right: parent.right
//            rightMargin: -10
//        }

//        spacing: 10

//        RightButton {
//            enabled: (sequenceModel.playIndex >= sequenceModel.count)
//            onClicked: popup().editNumber(qsTr("Change displayed step"), resultPage, 1, sequenceModel.count, "", 0, function(nr) {
//                if (nr !== undefined)
//                    resultPage = nr;
//                return true;
//            });

//            Text {
//                anchors.fill: parent
//                anchors.margins: 2
//                text: resultPage + " / " + (sequenceModel.count+1)
//                wrapMode: Text.WordWrap
//                horizontalAlignment: Text.AlignHCenter
//                verticalAlignment: Text.AlignVCenter
//                color: "#ffffff"
//                font.pixelSize: 18
//            }
//        }
//        ButtonNext {
//            enabled: (resultPage < sequenceModel.count) && (sequenceModel.playIndex >= sequenceModel.count)
//            onClicked: resultPage += 1
//        }

//        ButtonPrev {
//            enabled: (resultPage > 1) && (sequenceModel.playIndex >= sequenceModel.count)
//            onClicked: resultPage -= 1
//        }

//        Text {
//            id:tempHumRel
//            text: "\n\nT°C:" + '<font color="#fff">'+ "333" + '</font><br/>' + "\nHr%:" + '<font color="#fff">'+ "100" + '</font><br/>'
//            width: 55
//            font.pixelSize: 20
//    //        wrapMode: Text.WordWrap
//            color : "#ffd827"
//            visible: false

//        }
//    }

//    /****************************
//    * Current test display zone *
//    ****************************/
//    Item {
//        id: curstep
//        property variant step: resultPage > sequenceModel.count ? "" : sequenceModel.get(resultPage-1, Sequence.StepRole)
//        property variant result: resultPage > sequenceModel.count ? sequenceModel.sentence : sequenceModel.get(resultPage-1, Sequence.ResultRole)
//        property variant codename: resultPage <= sequenceModel.count ? sequenceModel.get(resultPage-1, Sequence.CodenameRole) : "end"
//        property variant name: resultPage > sequenceModel.count ? "End" : sequenceModel.get(resultPage-1, Sequence.NameRole)

//        Connections {
//            target: sequenceModel
//            onResultChanged: {
//                if (resultPage >= first + 1 && resultPage <= last + 1)
//                    curstep.result = Qt.binding(function() { return sequenceModel.get(resultPage-1, Sequence.ResultRole); });
//            }
//        }
//        anchors {
//            top: parent.top
//            bottom: progressBar.top
//            left: parent.left
//            leftMargin: 10
//            right: rightColumn.left
//            rightMargin: 10
//        }
//        visible: sequenceModel.isPlaying

//        Item {
//            id: curstepRow

//            height: Math.max(curStepName.height, curStepSummary.height)
//            width: parent.width

//            /*********
//            * Status *
//            *********/

//            Rectangle {
//                id: statusBox
//                anchors.verticalCenter: curStepName.verticalCenter
//                width: 27
//                height: width
//                radius: 5

//                function _color_status() {

//                        var res;

//                        if(!sequenceModel.isPlaying) return "transparent";

//                        if (curstep.result !== undefined) res = curstep.result;
//                        else res = sequenceModel.sentence;

////                        //console.log("Status.color : sequenceModel.sentence = ", sequenceModel.sentence, "   &&    curstep.result = ", curstep.result);
//                        switch (res) {
//                        case SequenceStep.StatusOK:
//                        case Sequence.StatusOK:
//                            return config.resultPassColor;
//                        case SequenceStep.StatusFAIL:
//                        case Sequence.StatusFAIL:
//                            return config.resultFailColor;
//                        case SequenceStep.StatusERROR:
//                        case Sequence.StatusERROR:
//                            return config.resultErrorColor;
//                        case SequenceStep.StatusRunning:
//                            return "#fff";
//                        case SequenceStep.StatusUnknown:
//                        default:
//                            return "#2a2a2e";
//                        }
//                    }

//                color: _color_status();
//            }

//            /*******
//            * Name *
//            *******/
//            Item {
//                id: curStepName
//                anchors {
//                    left: statusBox.right
//                    leftMargin: 10
//                    verticalCenter: parent.verticalCenter
//                }
//                width: 180
//                height: 65
//                Rectangle {
//                    anchors.fill: parent
//                    radius: 14
//                    color: "#fff"
//                    opacity: 0.1
//                }
//                Text {
//                    anchors {
//                        fill: parent
//                        margins: 10
//                    }

//                    color: curstep.step ? (curstep.step.inhib ? "#707173" : "#fff") : "#fff"
//                    text: curstep.name
//                    horizontalAlignment: Text.AlignLeft
//                    verticalAlignment: Text.AlignVCenter
//                    font.pixelSize: 24
//                    fontSizeMode: Text.Fit
//                    wrapMode: Text.Wrap
//                }
//            }

//            /**********
//            * Summary *
//            **********/
//            Loader {
//                id: curStepSummary
//                property var model: curstep
//                anchors {
//                    left: curStepName.right
//                    leftMargin: 10
//                    right: parent.right
//                    verticalCenter: parent.verticalCenter
//                }
//                source: curstep.name ? "steps/" + curstep.codename + "_summary.qml" : ""
//                MouseArea {
//                    anchors.fill: parent
//                    enabled: canChangeParameters
//                    onClicked: lv.edited = (lv.edited === index ? -1 : index)
//                }
//            }
//        }

//        Item {
//            id: live
//            anchors {
//                top: curstepRow.bottom
//                left: parent.left
//                right: parent.right
//            }
//            height: liveLoader.height
//            Loader {
//                property var model: curstep
//                property var step: curstep.step
//                property int index: resultPage-1
//                id: liveLoader
//                source: resultPage <= sequenceModel.count ? (curstep.codename && !curstep.step.inhib ? "steps/" + curstep.codename + "_live.qml" : "") : "steps/end_live.qml"
//                height: implicitHeight
//                width: parent.width
//            }
//        }

//        Connections {
//            target : sequenceModel
//            onIsFinishedChanged : {
////                //console.log("onFinishedChanged : sequence.isFinished = ", sequenceModel.isFinished);
////                //console.log("onFinishedChanged : sequenceModel.sentence = ", sequenceModel.sentence);
//                if(sequenceModel.isFinished) {
//                    resultPage += 1;
//                }
//            }
//        }
//    }

    /***************
    * Progress bar *
    ***************/
    Item {
        id: progressBar

        anchors {
            left: parent.left
            right: parent.right
            bottom: parent.bottom
        }
        height: 40 * visible
        visible: true



        ArrowUp {
            property int percent : 20 * ((process.getCalibrationStep() & 0x10))
            y: width-height/2
            x: height/2-width/2
            height: parent.width
            stepPerCent: percent > 1 ? percent : 1
            stepColor: "#ffd827"
            rotation: 90
            Behavior on stepPerCent { NumberAnimation {} }
        }
    }
}

