import QtQuick 2.2
import QtQuick.Controls 1.0
import Horus 1.0
import "../HorusComponents"


Page {
    id : page_help
    title: config.autoTr + qsTr("Help")
    saveImgVisible: false

        Image {
            id: penguins
            anchors {
                top: parent.top
                left: parent.left
            }

            height: parent.height
            width: parent.width
            visible: false

            MouseArea{
                anchors.fill:parent
                onClicked: {
                    penguins.visible = false;
                    textZone.visible = true;}
            }

    //        source: "Penguins.png"
        }

    ScrollView {
                id: textZone
                anchors {
                    top: parent.top
                    bottom : parent.bottom
                    left: parent.left
                    right: parent.right
                }
                contentItem: help_text
                width: parent.width
                horizontalScrollBarPolicy: Qt.ScrollBarAlwaysOff

                Text{
                    id : help_text
                    anchors {
                        right: page_help.right
                    }

                    text: helpdisplayer.helpDoc
                    width: page_help.width - 18
                    wrapMode: Text.WordWrap
                    color: "white"

                    onLinkActivated: {
                        if(link.search(".png") !== -1 || link.search(".jpg") !== -1)
                                {
                                    penguins.source = link;
                                    penguins.visible = true;
                                    textZone.visible = false;
                                    return;
                                }
                        else {
                        helpdisplayer.setDoc(link);
                        help_text.text = helpdisplayer.helpDoc;}
                    }


                }
                }
}



//Page {
//    title: config.autoTr + qsTr("Help")

//    /************
//    * Right bar *
//    ************/
//    Column {
//        id: rightbar

//        anchors {
//            top: parent.top
//            right: parent.right
//            rightMargin: -10
//        }

//        spacing: 10

//        RightButton {
//            enabled: pdfviewer.pdf.nbPages

//            onClicked: popup().editNumber(qsTr("Change page"), pdfviewer.page, 1, pdfviewer.pdf.nbPages, "", 0, function(nr) {
//                if (nr !== undefined)
//                    pdfviewer.page = nr;
//                return true;
//            });

//            Text {
//                anchors.centerIn: parent
//                text: pdfviewer.pdf.nbPages ? pdfviewer.page + "/" + pdfviewer.pdf.nbPages : "Error"
//                color: "#ffffff"
//                font.pixelSize: 18
//            }
//        }

//        ButtonNext {
//            enabled: (pdfviewer.page < pdfviewer.pdf.nbPages)
//            onClicked: pdfviewer.page += 1
//        }

//        ButtonPrev {
//            enabled: (pdfviewer.page > 1)
//            onClicked: pdfviewer.page -= 1
//        }
//    }

//    /*********
//    * Viewer *
//    *********/
//    PdfViewer {
//        id: pdfviewer
//        anchors {
//            top: parent.top
//            left: parent.left
//            right: rightbar.left
//            bottom: parent.bottom
//            rightMargin: 10
//        }
//        pdf.path: "help/" + (extra ? extra.pdf || config.language + "_default" : config.language + "_default") + ".pdf"
//        page: extra ? extra.page || 1 : 1
//        showNavig: false

//        onLoadError: {
//           if (pdf.path != "help/en_default.pdf")
//               pdf.path = "help/en_default.pdf";
//       }
//    }
