 import QtQuick 2.0
import Horus 1.0

Item {
    function evaluate() {
        if (step.testedStepNr > 0 && step.testedStepNr <= sequenceModel.count)
            step.evalCondition(sequenceModel.get(step.testedStepNr-1, Sequence.ResultRole));
        else
            step.evalCondition(SequenceStep.StatusUnknown)
    }
    Connections {
        target: step ? step : null
        ignoreUnknownSignals: true
        onPlayingChanged:  if (step.playing) evaluate()
    }
    Component.onCompleted: if (step.playing) evaluate()
}
