import QtQuick 2.0
import "../../HorusComponents"

Item {
    implicitHeight: column.height + 4
    Column {
        id: column
        y: 4
        spacing: 4
        ListSettingsGroup {
            ListSettingsElement {
                label: qsTr("Title")
                button {
                    id: btn
                    startRelated: true
                    text: qsTr("Edit")
                    onClicked: {
                       btn.btnMsg = popup().editText(
                                    label,
                                    model.step.msgTitle,
                                    function (txt) {
                                        if (txt != undefined) {
                                            model.step.msgTitle = txt;
                                        }
                                        return true;
                                    });
                        btn.disableButtons();
                    }
                }
            }
        }
    }
}
