import QtQuick 2.0
import Horus 1.0
import "../../HorusComponents"

Item {
    width: if (parent) parent.width
    implicitHeight: 40
    Text {
        anchors.centerIn: parent
        text: model.result == SequenceStep.StatusOK ? qsTr("Entry: %1").arg(model.step.msgEntry) :
              model.result == SequenceStep.StatusRunning ? qsTr("Waiting for entry") :
              qsTr("Message not yet displayed")
        color: sequenceModel.playIndex == index ? UiConfig.colors.fg_root : "#707173"
    }
}
