import QtQuick 2.0
import Horus 1.0
import "../../HorusComponents"
import "../../page_help"

//Item {
//    width: if (parent) parent.width
//    implicitHeight: 40
//    Text {
//        anchors.centerIn: parent
//        text: model.result == SequenceStep.StatusOK ? qsTr("Message confirmed") :
//              model.result == SequenceStep.StatusRunning ? qsTr("Waiting for message confirmation") :
//              qsTr("Image not yet displayed")
//        color: sequenceModel.playIndex == index ? UiConfig.colors.fg_root : "#707173"
//    }
//}

Item {

    id:item
    width: if (parent) parent.width /*600*/
    implicitHeight: inner.height + 150
    anchors.centerIn: if (parent) parent

        Column {
            id: inner
            spacing: 15

            width: parent.width
            anchors {
                top:parent.top
                topMargin: 10
            }


            Text {
                id: title
                width: item.width
                horizontalAlignment: Text.AlignHCenter
                anchors.topMargin: 20

                font.pixelSize: 30
                wrapMode: Text.Wrap
                text: step.msgTitle
                color: sequenceModel.playIndex == index ? UiConfig.colors.fg_root : "#707173"
            }

            Image {
                anchors.horizontalCenterOffset: 10

                anchors.horizontalCenter: parent.horizontalCenter
                width: Math.min(sourceSize.width, parent.width - 10)
                height: Math.min(sourceSize.height, 330)
                source: "file://" + applicationDirPath + "/sequence/files/" + step.msgImg
                fillMode: Image.PreserveAspectFit
                cache: false
            }

//            Button {
//                id: btn
//                width: txt.width + 80
//                visible: model.result == SequenceStep.StatusRunning
//                height: txt.height + 20
//                anchors.horizontalCenter: parent.horizontalCenter
//                onClicked: model.step.confirm()
//                text: ""
//                Text {
//                    id: txt
//                    anchors.centerIn: parent
//                    text: qsTr("Ok")
//                    color: "#ffffff"
//                    wrapMode: Text.Wrap
//                    font.bold: true
//                    font.pixelSize: 25
//                    horizontalAlignment: Text.AlignHCenter
//                }
//            }
//        }

    }
}
