import QtQuick 2.0
import Horus 1.0
import "../../HorusComponents"

Text {
    color: model.step.inhib ? "#707173" : canChangeParameters ? UiConfig.colors.fg_active : "#fff"
    property color fadedcolor: model.step.inhib ? "#707173" : "#b0b0b9"
/*    text: qsTr("<font color=\"%1\">title=</font>%2<br><font color=\"%1\">%3</font>%4<font color=\"%1\">%5</font>%6")
        .arg(fadedcolor)
        .arg(model.step.msgTitle)
        .arg(model.step.msgPdf ? qsTr("pdf=") : qsTr("No PDF selected"))
        .arg(model.step.msgPdf ? model.step.msgPdf + "<br>" : "")
        .arg(model.step.msgPdf ? qsTr("page=") : "")
        .arg(model.step.msgPdf ? model.step.msgPage : "")*/
//    text: qsTr("<font color=\"%1\">pause=</font>%2")
//        .arg(fadedcolor)
//        .arg(step.pause)
    text: model.step.tempo ? qsTr("<font color=\"%1\">%2</font>%3<font color=\"%1\">pause=</font>%4s")
            .arg(fadedcolor)
            .arg(model.step.msgPdf ? qsTr("pdf=") : qsTr("No PDF selected"))
            .arg(model.step.msgPdf ? model.step.msgPdf + "<br>" : "")
            .arg(model.result === SequenceStep.StatusRunning ? model.step.remainingTime.toFixed(1) : model.step.pause)
        : qsTr("<font color=\"%1\">%2</font>%3")
            .arg(fadedcolor)
            .arg(model.step.msgPdf ? qsTr("pdf=") : qsTr("No PDF selected"))
            .arg(model.step.msgPdf ? model.step.msgPdf : "")
    horizontalAlignment: Text.AlignLeft
    verticalAlignment: Text.AlignVCenter
    font.pixelSize: 24
    wrapMode: Text.Wrap
}
