import QtQuick 2.0
import Horus 1.0
import "../../HorusComponents"

Text {
    color: model.step.inhib ? "#707173" : canChangeParameters ? UiConfig.colors.fg_active : "#fff"
    property color fadedcolor: model.step.inhib ? "#707173" : "#b0b0b9"
    text: model.result === SequenceStep.StatusRunning ?
                            model.step.tempo ? qsTr("<font color=\"%1\"> pause=</font>%3s")
                                           .arg(fadedcolor)
                                           .arg(model.step.remainingTime.toFixed(1))
                                         :  ""
                           : model.step.tempo ? qsTr("<font color=\"%1\"> title=</font>%2<br><font color=\"%1\"> pause=</font>%3s")
                             .arg(fadedcolor)
                             .arg(model.step.msgTitle)
                             .arg(model.step.pause)
                           :  qsTr("<font color=\"%1\"> title=</font>%2")
                            .arg(fadedcolor)
                            .arg(model.step.msgTitle)
    horizontalAlignment: Text.AlignLeft
    verticalAlignment: Text.AlignVCenter
    font.pixelSize: 24
    wrapMode: Text.Wrap
}
