import QtQuick 2.0
import Horus 1.0
import "../../HorusComponents"

Item {
    width: if (parent) parent.width
    implicitHeight: 80
    Text {
        anchors.centerIn: parent
        font.pixelSize: 50
        text: qsTr("%1 remaining").arg(model.step.remainingRepeats)
        color: sequenceModel.playIndex == index ? UiConfig.colors.fg_root : "#707173"
    }
}
