import QtQuick 2.0
import Horus 1.0
import "../../HorusComponents"
import "condition_tr.js" as CondTr

Text {
    color: model.step.inhib ? "#707173" : canChangeParameters ? UiConfig.colors.fg_active : "#fff"
    property color fadedcolor: model.step.inhib ? "#707173" : "#b0b0b9"
    text: qsTr("<font color=\"%1\">Goto step </font>%2<font color=\"%1\"> and repeat this jump </font>%3<font color=\"%1\"> times")
        .arg(fadedcolor)
        .arg(model.step.gotoStep)
        .arg(model.step.repeats)
    horizontalAlignment: Text.AlignLeft
    verticalAlignment: Text.AlignVCenter
    font.pixelSize: 24
    wrapMode: Text.Wrap
}
